package org.wfc.system.service;

import org.wfc.common.core.web.page.TableDataInfo;
import org.wfc.omada.api.sitesetting.model.PortalDetailResOpenApiVo;
import org.wfc.omada.api.sitesetting.model.PortalSetting;

/**
 * @description: portal service
 * @author: cyc
 * @since: 2025-02-17
 */
public interface ISysPortalService {

    TableDataInfo getPortalList(String siteId, Integer pageNum, Integer pageSize);

    boolean addPortal(String siteId, PortalSetting portalSetting);

    boolean modifyPortal(String siteId, String portalId, PortalSetting portalSetting);

    boolean deletePortal(String siteId, String portalId);

    PortalDetailResOpenApiVo getPortalDetail(String siteId, String portalId);
}
